// TODO no margin for h are preceded by another h
@mixin resetMarginHeading($curH) {
	// 1em = h*.font-size
	margin: 1em 0 0;
}

@mixin resetHeading($min, $step: 0.25) {
	$sz: $min;
	@for $n from 6 through 1 {
		h#{$n} {
			@include resetMarginHeading($n);
			font-weight: normal;
			font-size: #{$sz}rem;
		}
		$sz: $sz + $step;
	}
}
